Subject: Re: networking bugs and bugme.osdl.org

From: Ben Greear <[email-masked]>
Date: Fri, 27 Jun 2003 15:36:30 -0700

David S. Miller wrote:
>    From: Ben Greear <[email-masked]>
>    Date: Fri, 27 Jun 2003 15:15:07 -0700
> 
>    Forcing people to continue to retransmit the same report just pisses
>    people off, and in the end will get you less useful reports than if
>    you had flagged the report as 'please-gimme-more-info'.
> 
> And this is different from patch submission in what way?

It wouldn't bother me to have a list of all patches submitted either,
it would keep folks from re-implementing the same thing from time to
time.  However, the main difference is that having to cary patches
forward is a constant drag on the person with the patch that was not
accepted, so they are constantly aware of how nice it would be to
get it included..thus they may keep trying.

A user with a PCMCIA NIC that reorders packets can get another NIC, so
that bug will never re-transmitted, and it will never get fixed.  What
is worse, new users of that busted NIC will have to re-discover that all
over for themselves, because there is no bug database to search.

> 
>    Perhaps, but it's also possible that you are being a stubborn SOB
>    because you fear change :)
>    
> Absolutely not, in fact I'm daily looking for ways to change how
> I work with people who help me so that I scale better.  And I know
> for sure that a bug datamase with shit that accumulates in it
> that _REQUIRES_ me to do something about it to make it go away
> does not help me scale.
> 
> Bugme was an absolute burdon for me.
> 
> For something to scale, it must continute to operate just as
> efficiently if I were to go away for a few weeks.  The lists have that
> quality, the bug database with owner does not.

So, you'd be happy so long as bugz sent mail to the netdev mailing lists
instead of to you?

-- 
Ben Greear <[email-masked]>       <Ben_Greear AT excite.com>
President of Candela Technologies Inc      http://www.candelatech.com
ScryMUD:  http://scry.wanfear.com     http://scry.wanfear.com/~greear